Skip to main content
GET
https://api.lite.sa/v1
/
payments
/
{payment_id}
Get payment by ID
curl --request GET \
  --url https://api.lite.sa/v1/payments/{payment_id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.lite.sa/v1/payments/{payment_id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.lite.sa/v1/payments/{payment_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lite.sa/v1/payments/{payment_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "payment": {
    "id": "baf6a8e2-0c89-46ef-9ca5-faa65b99bcd5",
    "merchant_id": "f3baf375-1cac-4aa2-bd36-0d7ca49ef59b",
    "amount": 10000,
    "currency": "SAR",
    "status": "PENDING",
    "created_at": "2026-04-08T20:53:45.517Z",
    "processing_type": "REGULAR",
    "capture_mode": "MANUAL",
    "payment_instrument_id": "baf6a8e2-0c89-46ef-9ca5-faa65b99bcd5",
    "payment_method": "CARD",
    "risk": {
      "data": {
        "enabled": true,
        "device_session_id": "sess_abc123"
      },
      "result": {
        "score": 75
      }
    },
    "customer": {
      "id": "cust_a1b2c3d4e5f6",
      "email": "donald.duck@duckworld.com",
      "first_name": "Donald",
      "last_name": "Duck",
      "phone_country_code": "+966",
      "phone_number": "555123456"
    },
    "order": {
      "reference": "ORD-123456",
      "items": {
        "products": [
          {
            "id": "prod_123",
            "price": 5000,
            "quantity": 2,
            "name": "T-Shirt",
            "metadata": {
              "color": "Blue",
              "size": "L"
            }
          }
        ],
        "vat": {
          "amount": 750
        },
        "shipping": {
          "amount": 1000
        }
      },
      "shipping_address": {
        "name": "John Doe",
        "email": "john@example.com",
        "street": "123 Main St",
        "city": "Riyadh",
        "state": "Riyadh Region",
        "zip": "12213",
        "country": "SA"
      },
      "billing_address": {
        "name": "John Doe",
        "email": "john@example.com",
        "street": "123 Main St",
        "city": "Riyadh",
        "state": "Riyadh Region",
        "zip": "12213",
        "country": "SA"
      },
      "amount": 10000,
      "currency": "SAR",
      "description": "Order description"
    },
    "device": {
      "ip": "192.168.1.100",
      "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36",
      "accept_header": "text/html,application/xhtml+xml,application/xml;q=0.9",
      "language": "en-US",
      "screen_height": 1080,
      "screen_width": 1920,
      "color_depth": 24,
      "timezone": -180,
      "java_enabled": false,
      "java_script_enabled": true,
      "device_data": {},
      "device_fingerprint": "fp_123",
      "ip_country": "SA",
      "ip_city": "Riyadh",
      "ip_region": "Riyadh Region",
      "ip_postal_code": "12213",
      "ip_latitude": 24.7136,
      "ip_longitude": 46.6753,
      "terminal_id": "1234567890123456"
    },
    "threeds": {
      "data": {
        "authentication_value": "<string>",
        "eci": "<string>",
        "version": "<string>",
        "ds_transaction_id": "<string>",
        "trans_status": "<string>",
        "xid": "<string>"
      },
      "result": {
        "authentication_status": "Y",
        "challenge_required": true,
        "eci": "05",
        "authentication_value": "<string>",
        "xid": "<string>",
        "version": "<string>",
        "ds_trans_id": "550e8400-e29b-41d4-a716-446655440000",
        "acs_trans_id": "<string>"
      }
    },
    "return_info": {
      "success": "https://example.com/success",
      "cancel": "https://example.com/cancel",
      "error": "https://example.com/error"
    },
    "metadata": {},
    "instrument": {
      "id": "<string>",
      "type": "<string>",
      "last_four_digits": "1111",
      "brand": "mada",
      "expiry_month": 12,
      "expiry_year": 27,
      "cardholder_name": "<string>",
      "fingerprint": "<string>",
      "future_usage": "<string>",
      "agreement_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "operations": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "operation_type": "CAPTURE",
        "status": "SUCCESS",
        "amount": 10000,
        "currency": "SAR",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "reason": "<string>",
        "initiated_by": "<string>",
        "connector_type": "<string>",
        "connector_response_code": "<string>",
        "connector_response_message": "<string>",
        "connector_transaction_id": "<string>",
        "http_status_code": 123,
        "processing_duration_ms": 123,
        "retry_count": 123,
        "max_retries": 123,
        "next_retry_at": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "next_action": {
    "redirect": {
      "method": "GET",
      "url": "<string>"
    }
  },
  "_links": {
    "self": {
      "href": "<string>",
      "method": "POST"
    },
    "capture": {
      "href": "<string>",
      "method": "POST"
    },
    "void": {
      "href": "<string>",
      "method": "POST"
    },
    "refund": {
      "href": "<string>",
      "method": "POST"
    },
    "redirect": {
      "href": "<string>",
      "method": "POST"
    }
  }
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}
{
"error": {
"code": "PAYMENT_DETAILS_MISMATCH",
"message": "The request was invalid or malformed",
"timestamp": "2024-12-16T10:30:00.000Z",
"details": {},
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}
}

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

payment_id
string<uuid>
required

Unique identifier of the payment

Example:

"9822ffb8-26de-423b-ad15-0d129cf1b4ac"

Query Parameters

include
enum<string>[]

Comma-separated list of related resources to include

Available options:
instrument,
operations

Response

Payment details.

payment
object
required
next_action
object

Next action for the client (present only when action is required)

Available action links (HATEOAS)